Unit tde29e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE29E_p, DE29E_p;

function tde29e: String;

implementation

function tde29e: String;
var
M,IH,IERR :Integer;
HMIN,EPS,H,XK,P,HMAX,XN :Extended;
YN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
RF :Array [0..1] of Extended;
YP :Array [0..2] of Extended;
RY :Array [0..9] of Extended;
RFN :Array [0..1] of Extended;
begin
Result := '';  {   }
HMIN := 1.e-18;
EPS := 0.00001e0;
YN[0] := Sqrt(2.e0)/2.e0;
YN[1] := -YN[0];
H := 0.01e0;
M := 2;
XN := 0.75e0*3.141592653589793e0;
XK := 3.141592653589793e0;
IH := 0;
P := 100.0;
HMAX := 0.1e0;
DE29E(FDE29E,M,XN,YN,XK,HMIN,HMAX,EPS,P,H,Y,DELTY,
     DF,RF,YP,RY,RFN,IERR);
Result := Result + Format(' %20.16f %20.16f ',[Y[0],Y[1]]) + #$0D#$0A;
UtRes('tde29e',Result);  {     tde29e.res }
exit;
end;

end.
